#
# spec file for package tv-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tv-fonts
Version:        1.1
Release:        bp154.1.19
Summary:        Fonts for TV Applications
License:        MIT
Group:          System/X11/Fonts
BuildRequires:  fontpackages-devel
BuildRequires:  freetype2
%if 0%{?suse_version} >= 1220
BuildRequires:  bdftopcf
BuildRequires:  mkfontdir
%else
BuildRequires:  xorg-x11
BuildRequires:  xorg-x11-devel
%endif
%reconfigure_fonts_prereq
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM
Patch0:         reproducible.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package includes some X Window System bitmap fonts for TV
applications:  large fonts frequently used in on-screen displays,
teletext font, and more.

%prep
%setup -q
%patch0 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p	%{buildroot}%{_miscfontsdir}
cp -v *.pcf.gz 	%{buildroot}%{_miscfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%{_miscfontsdir}/

%changelog
* Sun Apr 30 2017 bwiedemann@suse.com
- Add reproducible.patch to call gzip -n to make build fully reproducible
* Fri Jul 13 2012 pgajdos@suse.com
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Sat Jun 30 2012 i@marguerite.su
- fix builds for 12.2
  * bdftopcf is now a separated package from xorg-x11
  * mkfontdir is now a separated package from xorg-x11-utils-devel
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Fri Aug 11 2006 sndirsch@suse.de
- added /usr/share/fonts/misc directory to filelist to fix build
* Wed Aug  9 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/misc
  (openSUSE 10.2 will use X11R7).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun 23 2005 meissner@suse.de
- use RPM_OPT_FLAGS.
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Fri Mar 19 2004 mfabian@suse.de
- add BuildArchitectures: noarch
- use %%suseconfig_fonts_prereq
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Sun Nov  2 2003 ro@suse.de
- updated neededforbuild
- don't build as root
* Tue Apr 15 2003 kraxel@suse.de
- updated to version 1.1.
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
* Mon Jun 17 2002 kraxel@suse.de
- initial release.
